# Configuration

### Locales

```lua
Config.Locale = 'en' -- Language for the UI, can be 'en', 'tr', etc.
```

## Default Settings

### Fuel

### Notify

```lua
Config.NotifySystem = "ox" -- qb, mythic, pNotify, esx, ox, okok, t-notify, wasabi, r_notify, custom
```

### Progress Bar

```lua
Config.ProgressBarSystem = "progressbar" -- ox_lib, progressbar
```

### Custom Blip Color

```lua
Config.GPSBlipsColor = true -- If true, the blips will use the colors defined in Config.BlipsColor
```

### Max Channel

<pre class="language-lua"><code class="lang-lua"><strong>Config.MaxChannel = 100 -- Maximum number of channels that can be created
</strong></code></pre>

### Disable In Water

```lua
Config.DisableInWater = true -- Disable GPS in water
```

### AFK Mode

```lua
Config.AfkMode = false -- Enable or disable AFK Mode
```

### AFK Mode Verify Time

```lua
Config.AfkModeCooldown = 1000 * 60 * 5 -- Time to wait to verify AFK Mode (5 minutes)
```

## Loop Settings

### Uptime Tick

```lua
Config.UptimeTick = 5000 -- Time in milliseconds to update the channel (5 seconds)
```

### In Water Check Time

```lua
Config.InWaterCheckTime = 5000 -- Time to check if the player is in water (5 seconds)
```

### AFK Mode Check Time

```lua
Config.AfkModeCheckTime = 30000 -- Time to check if the player is AFK (30 seconds)
```

## Cooldown Settings

### Panic Button Cooldown

```lua
Config.PanicButtonCooldown = 30000 -- Cooldown time in milliseconds for the panic button (30 seconds)
```

## Animations Settings

```lua
Config.Animations = {
    vehicle_gps = {
        enter = {
            dict = "amb@prop_human_bum_bin@idle_b", -- Animation dictionary for entering the vehicle GPS
            name = "idle_d", -- Animation dictionary for entering the vehicle GPS
        },
        exit = {
            dict = "amb@prop_human_bum_bin@idle_b", -- Animation dictionary for exiting the vehicle GPS
            name = "exit", -- Animation for exiting the vehicle GPS
        }
    },
    vehicle_gps_finder = {
        enter = {
            dict = "missexile3", -- Animation dictionary for entering the vehicle GPS finder
            name = "ex03_dingy_search_case_base_michael", -- Animation for entering the vehicle GPS finder
        },
    },
}
```

## Commands Settings

```lua
Config.Commands = {
    ['followmember'] ={
        name = "followmember", -- This command is used to follow a member of your channel
        description = "Follow a member of your channel", -- Description of the command
        parameters = { -- Parameters for the command
            { name = "id", description = "ID of the member to follow", type = "number" } -- Parameter for the command, the ID of the member to follow
        },
    },
    ['unfollowmember'] = {
        name = "unfollowmember", -- This command is used to stop following a member
        description = "Stop following the member", -- Description of the command
        parameters = {}, -- No parameters needed for this command
    },
}
```

## Item Settings

```lua
Config.Items = {
    ['gps'] = {
        name = "gps", -- This is the GPS that can be used to track players
        allowedJobs = "all", -- This GPS can be used by all jobs
    },
    ['vehicle_gps'] = {
        name = "vehicle_gps", -- This is the GPS that can be used to track vehicles
        allowedJobs = { -- This GPS can be used by all jobs
            police = true,
        },
        usingTime = 5000, -- Time in milliseconds to use the GPS Vehicle
        addItemForAllJobs = true, -- If true, if the person using the vehicle_gps_finder has a job outside of allowedJobs, the vehicle_gps item will still be added to this item inventory
    },
    ['vehicle_gps_finder'] = {
        name = "vehicle_gps_finder", -- This is the GPS that can be used to find vehicles
        allowedJobs = { -- This GPS can be used by all jobs
            police = true,
        },
        usingTime = 10000, -- Time in milliseconds to use the GPS Finder
    },
}
```

## Blip Types

```lua
-- WARNING:: You must set Config.GPSBlipsColor to FALSE for the BLIP COLOURS HERE to work!
Config.BlipTypes = {
    emergency_helicopter = {
        sprite = 15,                    -- Blip Sprite : https://docs.fivem.net/docs/game-references/blips/
        color = 0,                      -- Blip Scale
        scale = 0.7,                    -- Blip Color
    },
    emergency_siren = {
        sprite = 42,
        color = 0,
        scale = 0.7,
    },
    emergency_vehicle = {
        sprite = 373,
        color = 1,
        scale = 0.8,
    },
    police = {
        name = " [LSPD]",
        sprite = 373,
		color = 54,
		scale = 0.5
    },
    ambulance = {
        name = " [EMS]",
        sprite = 373,
        color = 1,
        scale = 0.5
    },
    fire = {
        name = " [LSFD]",
        sprite = 373,
        color = 1,
        scale = 0.5
    },
    sheriff = {
        name = " [LSSD]",
        sprite = 373,
        color = 5,
        scale = 0.5
    },
    player = {
        sprite = 1,
        scale = 0.8,
        color = 5
    },
    player_vehicle = {
        sprite = 225,
        scale = 0.8,
        color = 3
    },
    player_motorcycle = {
        sprite = 226,
        scale = 0.7,
        color = 4
    },
    player_helicopter = {
        sprite = 353,
        scale = 0.7,
        color = 5,
    },
    player_boat = {
        sprite = 427,
        scale = 0.7,
        color = 5,
    },
    vehicle_tracker = {
        sprite = 225,
        scale = 0.8,
        color = 1
    },
}
```

## Notification Type

```lua
Config.NotificationType = {
    inform = "primary",
    success = "success",
    error = "error",
}
```

## Restricted Channels

```lua
Config.RestrictedChannels = { -- These channels are restricted to certain jobs
    [1] = {
        police = true,
        ambulance = true,
    },
    [2] = {
        police = true,
        ambulance = true,
    },
    [3] = {
        police = true,
        ambulance = true,
    },
    [4] = {
        police = true,
        ambulance = true,
    },
    [5] = {
        police = true,
        ambulance = true,
    },
    [6] = {
        police = true,
        ambulance = true,
    },
    [7] = {
        police = true,
        ambulance = true,
    },
    [8] = {
        police = true,
        ambulance = true,
    },
    [9] = {
        police = true,
        ambulance = true,
    },
    [10] = {
        police = true,
        ambulance = true,
    },
}
```

## Set Custom Blip Color

```lua
Config.BlipsColor = { -- These are the colors that can be used for the blips
    { id = 1, name = 'white', value = "#FFFFFF", color = 0 },
    { id = 2, name = 'red', value = "#E03232", color = 1 },
    { id = 3, name = 'green', value = "#71CB71", color = 2 },
    { id = 4, name = 'blue', value = "#5DB6E5", color = 3 },
    { id = 5, name = 'yellow', value = "#EEC64E", color = 5 },
    { id = 6, name = 'dark_red', value = "#C25050", color = 6 },
    { id = 7, name = 'dark_pink', value = "#9C6EAF", color = 7 },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-gps-v2/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
